package dev.fitko.fitconnect.api.config;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;

@Getter
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProxyConfig {
    @Builder.Default
    String httpProxyHost = "";

    @Builder.Default
    private Integer httpProxyPort = 0;

    @Builder.Default
    private Integer requestTimeoutInSeconds = 30;

    public ProxyConfig(final String host, final int port) {
        httpProxyHost = host;
        httpProxyPort = port;
    }

    public boolean isProxySet() {
        return (httpProxyPort != null && httpProxyPort > 0) && (httpProxyHost != null && !httpProxyHost.isEmpty());
    }
}
